CustomAttributesController Methods

The CustomAttributesController type exposes the following members.

Methods
  NameDescription
Public methodCreateCustomAttribute
POST /CustomAttributes/{id} Creates a custom attribute.
Public methodCustomAttributeReferences
GET /CustomAttributes/CustomAttributeReferences/{id} Gets the accounts, groups, and file system entities that reference the specified custom attribute.
Public methodDeleteCustomAttribute
DELETE /CustomAttributes/{id} Deletes a custom attribute.
Protected methodEnsureCallerContext
If the current context is not already the specified context, creates a new caller context which is a clone of the specified context and sets it as the current one.
(Inherited from ApiControllerBase.)
Protected methodEnsureFormFileMultipartContent
Ensures when form files are access the content is MIME multi-part which we want.
(Inherited from ApiControllerBase.)
Public methodGetAllCustomAttributes
GET /CustomAttributes/ Gets all of the custom attributes in the system.
Public methodGetAllCustomAttributesForTenant
GET /CustomAttributes/Tenant/{id} Gets all of the custom attributes in the system for the tenant.
Protected methodGetClientIdFromCookieOrProvided
Gets the client ID from cookie or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.)
Public methodGetCustomAttributeById
GET /CustomAttributes/ById/{id} Gets the custom attribute by ID.
Public methodGetCustomAttributesByIds
POST /CustomAttributes/GetByIds Gets the custom attributes corresponding to the IDs.
Public methodGetEffectiveValuesForAccount
GET /CustomAttributes/GetEffectiveValuesForAccount/{id} Gets the effective custom attribute values for the account.
Public methodGetEffectiveValuesForGroup
GET /CustomAttributes/GetEffectiveValuesForGroup/{id} Gets the effective custom attribute values for the group.
Protected methodGetServiceT
Gets the requested service.
(Inherited from ApiControllerBase.)
Protected methodGetSessionIdFromCookieHeaderOrProvided
Gets the session ID from cookie, the authorization header or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.)
Protected methodLoadSession
Creates a new caller context associated with the specified session ID. The session is not validated.
(Inherited from ApiControllerBase.)
Protected methodRequestFirstFormFile
Retrieves the first form file from the request.
(Inherited from ApiControllerBase.)
Protected methodRequestFormFiles
Retrieves the form files from the request.
(Inherited from ApiControllerBase.)
Protected methodReturnInvalidWindowsIdentityResponse
Returns the invalid windows identity response to challenge the browser.
(Inherited from ApiControllerBase.)
Public methodUpdateCustomAttribute
PUT /CustomAttributes/{id} Update a custom attribute, as well as the associated token.
Top
See Also